Index: arch/ia32/src/context.s
===================================================================
--- arch/ia32/src/context.s	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/ia32/src/context.s	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -31,5 +31,8 @@
 .global context_save
 .global context_restore
-
+.global fpu_context_save
+.global fpu_context_restore
+.global fpu_lazy_context_save
+.global fpu_lazy_context_restore
 
 #
@@ -77,22 +80,22 @@
 
 
-.global fpu_context_save
 fpu_context_save:
         ret
-.global fpu_context_restore
+
 fpu_context_restore:
         ret
 
-.global fpu_lazy_context_save
 fpu_lazy_context_save:
-        mov 4(%esp),%eax;
+	pushl %eax
+        mov 8(%esp),%eax
         fxsave (%eax)
-        xor %eax,%eax;
-        ret;
-.global fpu_lazy_context_restore
+        popl %eax
+        ret
+
 fpu_lazy_context_restore:
-        mov 4(%esp),%eax;
+	pushl %eax
+        mov 8(%esp),%eax
         fxrstor (%eax)
-        xor %eax,%eax;
-       ret;
+        popl %eax
+        ret
 
Index: arch/ia64/boot/boot.s
===================================================================
--- arch/ia64/boot/boot.s	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/ia64/boot/boot.s	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -31,3 +31,3 @@
 .global start
 start:
-    brl 0x0000000000001000
+	brl 0x0000000000001000
Index: arch/mips/boot/boot.s
===================================================================
--- arch/mips/boot/boot.s	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/mips/boot/boot.s	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -34,10 +34,10 @@
 
 start:
-    # move 0x80000000 to reg $8
-    lui $8, 0x8000
+	# move 0x80000000 to reg $8
+	lui $8, 0x8000
     
-    # prepare stack
-    lui $29, 0x8100
+	# prepare stack
+	lui $29, 0x8100
     
-    j $8
-    nop
+	j $8
+	nop
Index: arch/mips/src/asm.s
===================================================================
--- arch/mips/src/asm.s	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/mips/src/asm.s	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -30,13 +30,13 @@
 
 .macro cp0_read reg
-    mfc0 $2,\reg
-    j $31
-    nop
+	mfc0 $2,\reg
+	j $31
+	nop
 .endm
 
 .macro cp0_write reg
-    mtc0 $4,\reg
-    j $31
-    nop
+	mtc0 $4,\reg
+	j $31
+	nop
 .endm
 
Index: arch/mips/src/fake.s
===================================================================
--- arch/mips/src/fake.s	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/mips/src/fake.s	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -39,4 +39,4 @@
 calibrate_delay_loop:
 asm_delay_loop:
-    j $31
-    nop
+	j $31
+	nop
Index: arch/mips/src/start.S
===================================================================
--- arch/mips/src/start.S	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ arch/mips/src/start.S	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -45,47 +45,47 @@
 kernel_image_start:
 tlb_refill_entry:
-    j tlb_refill_handler
-    nop
+	j tlb_refill_handler
+	nop
 
 .org 0x100
 cache_error_entry:
-    j cache_error_handler
-    nop
+	j cache_error_handler
+	nop
     
 .org 0x180
 exception_entry:
 exception_handler:
-    sub $29, STACK_SPACE
-    REGISTERS_STORE $29
+	sub $29, STACK_SPACE
+	REGISTERS_STORE $29
     
-    jal exception
-    nop
+	jal exception
+	nop
     
-    REGISTERS_LOAD $29
-    add $29, STACK_SPACE
+	REGISTERS_LOAD $29
+	add $29, STACK_SPACE
 
-    eret
+	eret
 
 tlb_refill_handler:
-    sub $29, STACK_SPACE
-    REGISTERS_STORE $29
+	sub $29, STACK_SPACE
+	REGISTERS_STORE $29
     
-    jal tlb_refill
-    nop
+	jal tlb_refill
+	nop
     
-    REGISTERS_LOAD $29
-    add $29, STACK_SPACE
+	REGISTERS_LOAD $29
+	add $29, STACK_SPACE
     
-    eret
+	eret
 
 cache_error_handler:
-    sub $29, STACK_SPACE
-    REGISTERS_STORE $29
+	sub $29, STACK_SPACE
+	REGISTERS_STORE $29
 
-    jal cache_error
-    nop
+	jal cache_error
+	nop
     
-    REGISTERS_LOAD $29
-    add $29, STACK_SPACE
+	REGISTERS_LOAD $29
+	add $29, STACK_SPACE
 
-    eret
+	eret
Index: doc/AUTHORS
===================================================================
--- doc/AUTHORS	(revision ca90d6514ad952eddb6ba612fb54e45e73d64b8e)
+++ doc/AUTHORS	(revision 4e1d008f0a336b65b7e5ee6c99877490114a7ecd)
@@ -1,1 +1,2 @@
 Jakub Jermar
+Jakub Vana
